package de.ozgcloud.alfa.export;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.AbgabeAbgabe0401.Schriftgutobjekt;
import de.xoev.xdomea.AnwendungsspezifischeErweiterungType;

@Component
class SchriftgutobjektCreator {

	@Autowired
	private VorgangTypeCreator vorgangTypeCreator;

	public Schriftgutobjekt create(VorgangWithEingang vorgang, AnwendungsspezifischeErweiterungType erweiterung) {
		var schritftgutobjekt = new Schriftgutobjekt();
		schritftgutobjekt.setVorgang(vorgangTypeCreator.create(vorgang, erweiterung));
		return schritftgutobjekt;
	}

}
