import { Mock, mock, useFromMock } from '@goofy-client/test-utils';
import { HintFacade } from './+state/hint.facade';
import { HintService } from './hint.service';

describe('HintService', () => {

	let service: HintService;

	let facade: Mock<HintFacade>;

	beforeEach(() => {
		facade = mock(HintFacade);

		service = new HintService(useFromMock(facade));
	})

	describe('hasUserNoOrganisationsEinheitIdHint', () => {

		it('should call facade', () => {
			service.hasUserNoOrganisationsEinheitIdHint();

			expect(facade.hasUserNoOrganisationsEinheitIdHint).toHaveBeenCalled();
		})
	})
})