import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { LoeschAnforderungSharedModule } from '@goofy-client/loesch-anforderung-shared';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { EndgueltigLoeschenButtonContainerComponent } from './endgueltig-loeschen-button-container/endgueltig-loeschen-button-container.component';
import {
	EndgueltigLoeschenButtonComponent
} from './endgueltig-loeschen-button-container/endgueltig-loeschen-button/endgueltig-loeschen-button.component';
import { LoeschenAnfordernButtonContainerComponent } from './loeschen-anfordern-button-container/loeschen-anfordern-button-container.component';
import {
	LoeschenAnfordernButtonComponent
} from './loeschen-anfordern-button-container/loeschen-anfordern-button/loeschen-anfordern-button.component';
import {
	LoeschAnforderungZuruecknehmenButtonComponent
} from './loesch-anforderung-zuruecknehmen-button-container/loesch-anforderung-zuruecknehmen-button/loesch-anforderung-zuruecknehmen-button.component';
import {
	LoeschAnforderungZuruecknehmenButtonContainerComponent
} from "./loesch-anforderung-zuruecknehmen-button-container/loesch-anforderung-zuruecknehmen-button-container.component";

@NgModule({
	imports: [
		CommonModule,
		LoeschAnforderungSharedModule,
		TechSharedModule,
		UiModule,
		VorgangSharedModule,
	],
	declarations: [
		LoeschenAnfordernButtonContainerComponent,
		LoeschenAnfordernButtonComponent,
		EndgueltigLoeschenButtonContainerComponent,
		EndgueltigLoeschenButtonComponent,
		LoeschAnforderungZuruecknehmenButtonComponent,
		LoeschAnforderungZuruecknehmenButtonContainerComponent
	],
	exports: [
		LoeschenAnfordernButtonContainerComponent,
		EndgueltigLoeschenButtonContainerComponent,
		LoeschAnforderungZuruecknehmenButtonContainerComponent,
	]
})
export class LoeschAnforderungModule {
}
