import { Component, Input } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource } from '@goofy-client/api-root-shared';
import { StateResource, createEmptyStateResource } from '@goofy-client/tech-shared';

@Component({
	selector: 'goofy-client-vorgang-list-search',
	templateUrl: './vorgang-list-search.component.html',
	styleUrls: ['./vorgang-list-search.component.scss'],
})
export class VorgangListSearchComponent {

	@Input() apiRootStateResource: StateResource<ApiRootResource> = createEmptyStateResource();

	readonly apiRootLinkRel = ApiRootLinkRel;
}
