package de.ozgcloud.alfa.common;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Configuration
@ConfigurationProperties(prefix = FeatureToggleProperties.PREFIX)
public class FeatureToggleProperties {

	static final String PREFIX = "ozgcloud.feature";

	/**
	 * Enable Vorgang Export(XDomea).
	 */
	private boolean vorgangExport = false;

	/**
	 * Enable/Disable Bescheid creation feature.
	 */
	private boolean createBescheid = false;
}
