package de.ozgcloud.alfa.export;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.AbgabeAbgabe0401;

@Component
class AbgabeAbgabe0401Creator {

	@Autowired
	private SchriftgutobjektCreator schriftgutobjektCreator;

	@Autowired
	private AnwendungsspezifischeErweiterungTypeCreator anwendungsspezifischeErweiterungTypeCreator;

	public AbgabeAbgabe0401 create(VorgangWithEingang vorgang) {
		var erweiterung = anwendungsspezifischeErweiterungTypeCreator.create(vorgang);

		var abgabe = new AbgabeAbgabe0401();
		abgabe.getSchriftgutobjekt().add(schriftgutobjektCreator.create(vorgang, erweiterung));
		return abgabe;
	}

}
