package de.ozgcloud.alfa.export;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import de.xoev.xdomea.VersionType;

@Component
class VersionTypeCreator {

	static final String NUMMER = "1";

	@Autowired
	private FormatTypeCreator formatTypeCreator;

	public VersionType create(VorgangWithEingang vorgang, OzgFile ozgFile) {
		var version = new VersionType();
		version.setNummer(NUMMER);
		version.getFormat().add(formatTypeCreator.create(vorgang, ozgFile));
		return version;
	}
}
