import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { BasicDialogData } from './basic-dialog-data.model';

@Component({
	selector: 'goofy-client-basic-dialog',
	templateUrl: './basic-dialog.component.html',
	styleUrls: ['./basic-dialog.component.scss'],
})
export class BasicDialogComponent {
	constructor(
		public dialogRef: MatDialogRef<BasicDialogComponent>,
		@Inject(MAT_DIALOG_DATA) public data: BasicDialogData,
	) {}

	onNoClick(): void {
		this.dialogRef.close();
	}
}
