import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { DocumentationComponent } from './help-menu/documentation/documentation.component';
import { DownloadDocumentationButtonComponent } from "./help-menu/documentation/dowload-documentation-button/download-documentation-button.component";
import { OpenDocumentationButtonComponent } from "./help-menu/documentation/open-documentation-button/open-documentation-button.component";
import { HelpMenuComponent } from './help-menu/help-menu.component';

@NgModule({
	imports: [
		CommonModule,
		TechSharedModule,
		UiModule
	],
	declarations: [
		HelpMenuComponent,
		DocumentationComponent,
		OpenDocumentationButtonComponent,
		DownloadDocumentationButtonComponent
	],
	exports:[
		HelpMenuComponent
	]
})
export class UserAssistanceModule {}
