import { UserProfilePartialState, initialState } from './user-profile.reducer';

import * as UserProfileSelectors from './user-profile.selectors';

describe('UserProfile Selectors', () => {

	let state: UserProfilePartialState;

	const userProfileSearchVisibilty: boolean = false;

	beforeEach(() => {
		state = {
			UserProfileState: {
				...initialState,
				userProfileSearchVisibilty
			}
		};
	});

	it('should return vorgangList', () => {
		const result: boolean = UserProfileSelectors.userProfileSearchVisibilty.projector(state.UserProfileState);

		expect(result).toBe(userProfileSearchVisibilty);
	})
});